Bug 810819 - Unable to change directories on FreeBSD NFS mount
Unable to change directories on FreeBSD NFS mount
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
pre-release
Unspecified FreeBSD
high Severity high
: ---
: ---
Assigned To: Vivek Agarwal
Saurabh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-09 05:34 EDT by Sachidananda Urs
Modified: 2016-02-17 19:03 EST (History)
5 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:46:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sachidananda Urs 2012-04-09 05:34:25 EDT
astrid# cd /mnt/nfs/
astrid# rm -rf bar/
astrid# mkdir baz
astrid# cd baz/
astrid# pwd
/mnt/nfs/baz
astrid# cd ..
..: Unknown error: 10006.
astrid# pwd
pwd: .: Unknown error: 10006
astrid# chdir ..
..: Unknown error: 10006.


============================


[2012-04-09 14:57:39.568843] I [client-handshake.c:456:client_set_lk_version_cbk] 0-nfs-multi-client-client-3: Server lk version = 1
[2012-04-09 14:58:03.000202] W [inode.c:175:__foreach_ancestor_dentry] 0-nfs-server: per dentry fn returned 1
[2012-04-09 14:58:03.000232] C [inode.c:227:__is_dentry_cyclic] 0-nfs-multi-client/inode: detected cyclic loop formation during inode linkage. inode (1a23b1df-e56f-4022-92a5-e7357f3b85f0) linking under itself as .
[2012-04-09 14:58:03.002286] W [inode.c:175:__foreach_ancestor_dentry] 0-nfs-server: per dentry fn returned 1
[2012-04-09 14:58:03.002314] C [inode.c:227:__is_dentry_cyclic] 0-nfs-multi-client/inode: detected cyclic loop formation during inode linkage. inode (1a23b1df-e56f-4022-92a5-e7357f3b85f0) linking under itself as .
[2012-04-09 14:58:03.024578] W [inode.c:175:__foreach_ancestor_dentry] 0-nfs-server: per dentry fn returned 1
[2012-04-09 14:58:03.024608] C [inode.c:227:__is_dentry_cyclic] 0-nfs-multi-client/inode: detected cyclic loop formation during inode linkage. inode (1a23b1df-e56f-4022-92a5-e7357f3b85f0) linking under itself as .
[2012-04-09 14:58:03.044948] W [inode.c:175:__foreach_ancestor_dentry] 0-nfs-server: per dentry fn returned 1
[2012-04-09 14:58:03.044982] C [inode.c:227:__is_dentry_cyclic] 0-nfs-multi-client/inode: detected cyclic loop formation during inode linkage. inode (1a23b1df-e56f-4022-92a5-e7357f3b85f0) linking under itself as .
[2012-04-09 14:58:03.047383] W [inode.c:175:__foreach_ancestor_dentry] 0-nfs-server: per dentry fn returned 1
[2012-04-09 14:58:03.047405] C [inode.c:227:__is_dentry_cyclic] 0-nfs-multi-client/inode: detected cyclic loop formation during inode linkage. inode (1a23b1df-e56f-4022-92a5-e7357f3b85f0) linking under itself as .
[2012-04-09 14:58:03.062465] W [inode.c:175:__foreach_ancestor_dentry] 0-nfs-server: per dentry fn returned 1
[2012-04-09 14:58:03.062487] C [inode.c:227:__is_dentry_cyclic] 0-nfs-multi-client/inode: detected cyclic loop formation during inode linkage. inode (1a23b1df-e56f-4022-92a5-e7357f3b85f0) linking under itself as .
[2012-04-09 14:58:03.429403] W [inode.c:175:__foreach_ancestor_dentry] 0-nfs-server: per dentry fn returned 1
[2012-04-09 14:58:03.429433] C [inode.c:227:__is_dentry_cyclic] 0-nfs-multi-client/inode: detected cyclic loop formation during inode linkage. inode (1a23b1df-e56f-4022-92a5-e7357f3b85f0) linking under itself as .
[2012-04-09 14:58:03.432358] E [nfs3.c:1321:nfs3_lookup_parentdir_resume] 0-nfs-nfsv3: nfs_inode_loc_fill error
[2012-04-09 14:58:03.432397] W [nfs3-helpers.c:3389:nfs3_log_common_res] 0-nfs-nfsv3: XID: 4aa3cefa, LOOKUP: NFS: 10006(Error occurred on the server or IO Error), POSIX: 14(Bad address)
[2012-04-09 14:58:03.433006] E [nfs3.c:1321:nfs3_lookup_parentdir_resume] 0-nfs-nfsv3: nfs_inode_loc_fill error
[2012-04-09 14:58:03.433024] W [nfs3-helpers.c:3389:nfs3_log_common_res] 0-nfs-nfsv3: XID: 4aa3cefb, LOOKUP: NFS: 10006(Error occurred on the server or IO Error), POSIX: 14(Bad address)
[2012-04-09 14:58:03.435532] W [inode.c:175:__foreach_ancestor_dentry] 0-nfs-server: per dentry fn returned 1
[2012-04-09 14:58:03.435555] C [inode.c:227:__is_dentry_cyclic] 0-nfs-multi-client/inode: detected cyclic loop formation during inode linkage. inode (1a23b1df-e56f-4022-92a5-e7357f3b85f0) linking under itself as .
[2012-04-09 14:58:03.435854] E [nfs3.c:1321:nfs3_lookup_parentdir_resume] 0-nfs-nfsv3: nfs_inode_loc_fill error
[2012-04-09 14:58:03.435876] W [nfs3-helpers.c:3389:nfs3_log_common_res] 0-nfs-nfsv3: XID: 4aa3cefd, LOOKUP: NFS: 10006(Error occurred on the server or IO Error), POSIX: 14(Bad address)
[2012-04-09 14:58:03.433006] E [nfs3.c:1321:nfs3_lookup_parentdir_resume] 0-nfs-nfsv3: nfs_inode_loc_fill error
[2012-04-09 14:58:03.433024] W [nfs3-helpers.c:3389:nfs3_log_common_res] 0-nfs-nfsv3: XID: 4aa3cefb, LOOKUP: NFS: 10006(Error occurred on the server or IO Error), POSIX: 14(Bad address)
[2012-04-09 14:58:03.435532] W [inode.c:175:__foreach_ancestor_dentry] 0-nfs-server: per dentry fn returned 1
[2012-04-09 14:58:03.435555] C [inode.c:227:__is_dentry_cyclic] 0-nfs-multi-client/inode: detected cyclic loop formation during inode linkage. inode (1a23b1df-e56f-4022-92a5-e7357f3b85f0) linking under itself as .
[2012-04-09 14:58:03.435854] E [nfs3.c:1321:nfs3_lookup_parentdir_resume] 0-nfs-nfsv3: nfs_inode_loc_fill error
[2012-04-09 14:58:03.435876] W [nfs3-helpers.c:3389:nfs3_log_common_res] 0-nfs-nfsv3: XID: 4aa3cefd, LOOKUP: NFS: 10006(Error occurred on the server or IO Error), POSIX: 14(Bad address)
[2012-04-09 14:58:03.700877] E [nfs3.c:1321:nfs3_lookup_parentdir_resume] 0-nfs-nfsv3: nfs_inode_loc_fill error
[2012-04-09 14:58:03.700922] W [nfs3-helpers.c:3389:nfs3_log_common_res] 0-nfs-nfsv3: XID: 4aa3cf20, LOOKUP: NFS: 10006(Error occurred on the server or IO Error), POSIX: 14(Bad address)
[2012-04-09 14:58:06.585170] W [inode.c:175:__foreach_ancestor_dentry] 0-nfs-server: per dentry fn returned 1
[2012-04-09 14:58:06.585236] C [inode.c:227:__is_dentry_cyclic] 0-nfs-multi-client/inode: detected cyclic loop formation during inode linkage. inode (1a23b1df-e56f-4022-92a5-e7357f3b85f0) linking under itself as .
[2012-04-09 14:58:06.638397] W [inode.c:175:__foreach_ancestor_dentry] 0-nfs-server: per dentry fn returned 1
[2012-04-09 14:58:06.638448] C [inode.c:227:__is_dentry_cyclic] 0-nfs-multi-client/inode: detected cyclic loop formation during inode linkage. inode (1a23b1df-e56f-4022-92a5-e7357f3b85f0) linking under itself as .
[2012-04-09 14:58:09.905350] E [nfs3.c:1321:nfs3_lookup_parentdir_resume] 0-nfs-nfsv3: nfs_inode_loc_fill error
[2012-04-09 14:58:09.905402] W [nfs3-helpers.c:3389:nfs3_log_common_res] 0-nfs-nfsv3: XID: 4aa3cf2c, LOOKUP: NFS: 10006(Error occurred on the server or IO Error), POSIX: 14(Bad address)
[2012-04-09 14:58:09.907463] W [inode.c:175:__foreach_ancestor_dentry] 0-nfs-server: per dentry fn returned 1
[2012-04-09 14:58:09.907488] C [inode.c:227:__is_dentry_cyclic] 0-nfs-multi-client/inode: detected cyclic loop formation during inode linkage. inode (1a23b1df-e56f-4022-92a5-e7357f3b85f0) linking under itself as .
[2012-04-09 14:58:09.907996] E [nfs3.c:1321:nfs3_lookup_parentdir_resume] 0-nfs-nfsv3: nfs_inode_loc_fill error
[2012-04-09 14:58:09.908021] W [nfs3-helpers.c:3389:nfs3_log_common_res] 0-nfs-nfsv3: XID: 4aa3cf2e, LOOKUP: NFS: 10006(Error occurred on the server or IO Error), POSIX: 14(Bad address)
[2012-04-09 14:58:11.476182] W [inode.c:175:__foreach_ancestor_dentry] 0-nfs-server: per dentry fn returned 1
[2012-04-09 14:58:11.476209] C [inode.c:227:__is_dentry_cyclic] 0-nfs-multi-client/inode: detected cyclic loop formation during inode linkage. inode (1a23b1df-e56f-4022-92a5-e7357f3b85f0) linking under itself as .
[2012-04-09 14:58:11.478432] W [inode.c:175:__foreach_ancestor_dentry] 0-nfs-server: per dentry fn returned 1
Comment 1 Amar Tumballi 2012-05-08 07:22:34 EDT
Not a priority for 3.3.0.
Comment 2 Krishna Srinivas 2012-07-31 06:08:14 EDT
Fix for https://bugzilla.redhat.com/show_bug.cgi?id=810828 should also fix this issue. Please confirm.
Comment 3 Sachidananda Urs 2012-11-05 00:49:45 EST
I am not sure if FreeBSD is a priority. However, I will try acquiring a machine to test this out.
Comment 5 Sachidananda Urs 2013-03-01 23:56:06 EST
Don't have a FreeBSD machine to test this yet. Moving to modified (Low priority now)

Note You need to log in before you can comment on or make changes to this bug.